Bug 887364 - Some defaults for NFS volume tuning options are not as documented
Summary: Some defaults for NFS volume tuning options are not as documented
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs
Version: 2.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Rajesh
QA Contact: Saurabh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-14 19:58 UTC by Patric Uebele
Modified: 2016-01-19 06:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-15 10:49:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Patric Uebele 2012-12-14 19:58:42 UTC
Description of problem:
Defaults for NFS volume tuning options nfs.rpc-auth-* are not as documented

Version-Release number of selected component (if applicable):2.0 Bugfix3


How reproducible:
Reproducible

Steps to Reproduce:
1.[root@rhs13 ~]# gluster volume create testvol rhs5.eth0:/foo rhs8.eth0:/foo
Creation of volume testvol has been successful. Please start the volume to access data.
2. [root@rhs13 ~]# gluster volume start testvol
Starting volume testvol has been successful
  
Actual results:
[root@rhs13 ~]# showmount -e rhs5.eth0
Export list for rhs5.eth0:
/distvol1 *
/repvol1  *
/testvol  *         <-------------

Expected results:
According to the admin guide, the defaults for nfs.rpc-auth-allow and nfs.rpc-auth-reject are "reject all"

Additional info:

Comment 2 Scott Haines 2013-03-08 21:03:12 UTC
Per 03/05 email exchange w/ PM, targeting for Big Bend.

Comment 3 Rajesh 2013-04-15 10:49:48 UTC
According to the admin guide, the default value is to "allow all" and "reject none". Please reopen if you find the wrong values in the admin doc.


Note You need to log in before you can comment on or make changes to this bug.